EasyRouterEasyRouter
User GuideAPI DocsConnect Agent Tools
Management APIReal-Person Verification & Asset Management

Get Liveness Result and Query GroupId

GET
/api/resource-channel/byteplus/visual-validate/sessions/{session_id}

Authorization

BearerAuth

AuthorizationBearer <token>

API Key (sk-xxxxxx)

In: header

Path Parameters

session_id*string

Session ID returned when creating a visual verification session. Obtainable after the user completes face recognition via the h5_link.

⚠️ Important Note session_id Changes After creating a session, users need to process the real-person authentication process via the returned h5_link, and can only obtain the session_id after authentication is complete.

Query Parameters

result_code?string

The result code parsed from the callback URL on client redirection; 10000 represents success

Response Body

application/json

curl -X GET "https://easyrouter.io/api/resource-channel/byteplus/visual-validate/sessions/string"
{
  "success": true,
  "message": "",
  "data": {
    "session_id": "20260520163328CC8B02B43817D1796643",
    "byted_token": "20260520163328CC8B02B43817D1796643",
    "group_id": "group-20260520163350-ctpqc",
    "channel_id": 21,
    "status": "verified",
    "result_code": "10000",
    "raw_response": "{\"ResponseMetadata\":{\"Action\":\"GetVisualValidateResult\",\"Region\":\"ap-southeast-1\",\"RequestId\":\"20260520164012E231B41B7575F3AB6642\",\"Service\":\"ark\",\"Version\":\"2024-01-01\"},\"Result\":{\"GroupId\":\"group-20260520163350-ctpqc\"}}",
    "created_at": "2026-05-20T16:33:28+08:00",
    "updated_at": "2026-05-20T16:40:12.298074+08:00"
  }
}